<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="18" infoRejectCounter="0">
  <summary>
    <timer wall="0" cpu="0.112525" calls="1"/>
    <!-- memory in MB-->
    <memory final="144.04" peak="146.04"/>
  </summary>
  <header id="">
    <environment started="2017-Mar-24 11:02:59" host="eamc061"/>
    <progOpts problem="opt_results" parameterFile="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/opt_results/opt_results.xml" schemaPath="/home/fwein/code/shared/share/xml" meshFile="" logConfFile="" detailed="no" MKL_NUM_THREADS="1" OMP_NUM_THREADS="1">
      <cfs version="17.03" name="Back To The Future" build="Release" svn_revision="15633 modified" svn_branch="shared_opt_0714" exe="cfs_shared_rel"/>
    </progOpts>
    <domain dimensions="2" elements="260" nodes="294" nx="20" ny="13" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="294" elems="260" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="21"/>
        <nodes name="north" count="21"/>
        <nodes name="west" count="14"/>
        <nodes name="east" count="14"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(3,0)"/>
        <nodes name="left_upper" count="1" coord="(0,2)"/>
        <nodes name="right_upper" count="1" coord="(3,2)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="20" ny="13" nz="1" step="0" t="0" t0="0"/>
    </domain>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="right_lower" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="MechanicStiffnessTensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Emodulus" value="1"/>
          <property name="Mechanic_PoissonRation" value="0.3"/>
          <property name="Mechanic_Kmodulus" value="(0.83333,0)"/>
          <property name="Mechanic_LameMu" value="(0.38462,0)"/>
          <property name="Mechanic_LameLambda" value="(0.57692,0)"/>
          <property name="Rayleigh_Alpha" value="0.05"/>
          <property name="Rayleigh_Beta" value="0.002"/>
          <property name="Rayleigh_Frequency" value="1000"/>
        </material>
        <!-- List of defined Spaces-->
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <!-- List of registered FeFunctions-->
          <feFunctions totalNumEqns="560" totalNumFreeEqns="560" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="560" lastFreeEqn="560" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <!-- List of SBM-blocks-->
          <sbmBlocks>
            <block id="0" size="560" lastFreeIndex="560"/>
          </sbmBlocks>
          <!-- List of defined matrices-->
          <matrices>
            <!-- Memory is in MByte-->
            <system totalNumRows="560" totalNumCols="560" totalNumNonZeros="9280" totalFillLevelPerCent="2.9592" totalMemory="0.070801">
              <matrix blockRow="0" blockCol="0" storageType="sparseSym" numRows="560" numCols="560" numNonZeros="9280" fillLevelPerCent="2.9592" memory="0.070801" upperBandWidth="541" lowerBandWidth="541" avgBandWidth="202" symCounterPart="no" orderingType="Metis"/>
            </system>
          </matrices>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall="0" cpu="0.004954" calls="6"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall="0" cpu="0.001059" calls="6"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond/>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall="0" cpu="0.010944" calls="12"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/home/fwein/code/cfs-test/TESTSUIT/Optimization/Technical/opt_results/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume" linear="yes" filtered="yes" bound_value="0.5" bound="upperBound" design="default"/>
      </constraints>
      <designSpace pamping="0">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall="0" cpu="0" calls="0" sub="true"/>
        </gradient_chain_rule>
        <transferFunctions>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables optimizationVariables="260" modelVariables="260" modelElements="260">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <regions>
          <region name="mech" elements="260" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.5" contribution="linear" design="allDesigns" avg_radius="0.23077" avg_neighbors="7.2538">
          <timer wall="0" cpu="0.00025" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <optimalityCondition/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <optimalityCondition>
          <timer wall="0" cpu="0.008588" calls="95"/>
        </optimalityCondition>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall="0" cpu="1.5e-05" calls="6"/>
      </eval_objective>
      <eval_constraints>
        <timer wall="0" cpu="0.000818" calls="89"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall="0" cpu="0.000661" calls="6"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall="0" cpu="7.8e-05" calls="6"/>
      </eval_grad_constraints>
      <break converged="no">
        <reason msg="Maximum iterations exceeded"/>
      </break>
    </summary>
    <process>
      <iteration number="0" duration="0" compliance="171.75" volume="0.5" lambda="0" lambda_iters="0" lower="0" upper="0"/>
      <iteration number="1" duration="0" compliance="110.5" volume="0.5" lambda="663.54" lambda_iters="22" lower="663.54" upper="663.57"/>
      <iteration number="2" duration="0" compliance="81.369" volume="0.5" lambda="558.51" lambda_iters="18" lower="558.51" upper="558.51"/>
      <iteration number="3" duration="0" compliance="68.111" volume="0.5" lambda="416.43" lambda_iters="17" lower="416.42" upper="416.43"/>
      <iteration number="4" duration="0" compliance="61.522" volume="0.5" lambda="336.76" lambda_iters="18" lower="336.75" upper="336.76"/>
      <iteration number="5" duration="0" compliance="56.477" volume="0.5" lambda="285.81" lambda_iters="14" lower="285.81" upper="285.84"/>
    </process>
  </optimization>
</cfsInfo>